Debian DSA-4329-1 : teeworlds - security update

High Nessus Plugin ID 118495

Synopsis

The remote Debian host is missing a security-related update.

Description

It was discovered that incorrect connection setup in the server for Teeworlds, an online multi-player platform 2D shooter, could result in denial of service via forged connection packets (rendering all game server slots occupied).

Solution

Upgrade the teeworlds packages.

For the stable distribution (stretch), this problem has been fixed in version 0.6.5+dfsg-1~deb9u1.

See Also

https://security-tracker.debian.org/tracker/source-package/teeworlds

https://packages.debian.org/source/stretch/teeworlds

https://www.debian.org/security/2018/dsa-4329

Plugin Details

Severity: High

ID: 118495

File Name: debian_DSA-4329.nasl

Version: 1.3

Type: local

Agent: unix

Published: 2018/10/30

Modified: 2018/11/13

Dependencies: 12634

Risk Information

Risk Factor: High

Vulnerability Information

CPE: p-cpe:/a:debian:debian_linux:teeworlds, cpe:/o:debian:debian_linux:9.0

Required KB Items: Host/local_checks_enabled, Host/Debian/release, Host/Debian/dpkg-l

Patch Publication Date: 2018/10/28

Reference Information

CVE: CVE-2018-18541

DSA: 4329